Subject: Re: [bug#71697] [PATCH v3 2/2] scripts: lint: Honor package property to exclude checkers.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Jul 2024 21:39:23 -0400

Hi Dale,

Dale Mellor <[email-masked]> writes:

> On Mon, 2024-07-01 at 16:44 -0400, Maxim Cournoyer wrote:
>> 
>> OK. From my understanding, the code is not transferred; only an archival
>> request to the project URL is submitted to SHW, and its up to SHW to
>> attempt to retrieve it (which would fail if the URL is private/protected
>> by some means).
>> 
>> Perhaps we could have a dummy 'private' or 'non-free' license added to
>> (guix licenses), that the 'check-archival' procedure would check to skip
>> the archival request?  This would need to be documented (mentioning it's
>> not for use for packages carried in the Guix collection, but for end
>> users working on a software not meant to be distributed).
>> 
>
>   You have now brought the discussion full circle; you can pick it up at
> https://lists.gnu.org/archive/html/guix-devel/2024-06/msg00225.html.

Thanks, sorry for missing it.  I like the replies from Ricardo there.

-- 
Cheers,
Maxim